/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_NOTESTYLEFILEREADER_H_
#define _RG_NOTESTYLEFILEREADER_H_

#include <tqxml.h>

#include "NoteStyle.h"

namespace Rosegarden {

class NoteStyleFileReader : public TQXmlDefaultHandler
{
public:
    NoteStyleFileReader(NoteStyleName name);

    typedef Rosegarden::Exception StyleFileReadFailed;
    
    NoteStyle *getStyle() { return m_style; }

    // Xml handler methods:

    virtual bool startElement
    (const TQString& namespaceURI, const TQString& localName,
     const TQString& qName, const TQXmlAttributes& atts);
    
private:
    bool setFromAttributes(Note::Type type, const TQXmlAttributes &attributes);

    TQString m_errorString;
    NoteStyle *m_style;
    bool m_haveNote;
};

}

#endif
